> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Assign form to form group

POST https://demo.rooms.docusign.com/restapi/v2/accounts/{accountId}/form_groups/{formGroupId}/assign_form
Content-Type: application/json-patch+json

Assigns the form specified in the `formId` property of the request to the form group `formGroupId`. Set the `isRequired` property in the request body to **true** if this is a required form.

## Permissions

You must have a role for which the `canManageFormGroups` permission is set to **true.**

### Related topics

- [How to assign a form to a form group](/docs/rooms-api/how-to/assign-form-group/)

Reference: https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/assignformgroupform

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Servers

- `https://demo.rooms.docusign.com/restapi` (Demo, default)
- `https://rooms.docusign.com/restapi` (Production)

## Request

### Path parameters

- `formGroupId` (string, required) — The ID of the form group. Example: `7b879c89-xxxx-xxxx-xxxx-819d6a85e0a1`
- `accountId` (string, required) — The globally unique identifier (GUID) for the account.

### Body (application/json-patch+json)

This endpoint expects a FormGroupFormToAssign.

- `formId` (string, required) — The ID of the form. Example: `5be324eb-xxxx-xxxx-xxxx-208065181be9`
- `isRequired` (boolean, optional) — **True** if the form is required.

## Response

### 204

Successfully assigned form to form group.

## Errors

### 400 Bad Request Error

Bad request. See ErrorCode and Message for details

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

### 401 Unauthorized Error

Not authorized to make this request.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

## Examples

**Request**

```json
{
  "formId": "string"
}
```